#!/bin/sh
# Install rmw
# Last updated May 25, 2009

add_root_aliases() {
echo "Adding aliases to $DESTALIASES"
cat >> $DESTALIASES << "EOF"
# The following two lines added by rmw installation script
alias rm="/usr/local/bin/rmw -iv"
alias erm="/bin/rm -iv"
# If uninstalling rmw, delete the previous two lines
EOF
	}


add_user_aliases() {
echo "Adding aliases to $DESTALIASES"
cat >> $DESTALIASES << "EOF"
# The following two lines added by rmw installation script
alias rm="$HOME/bin/rmw -iv"
alias erm="/bin/rm -iv"
# If uninstalling rmw, delete the previous two lines
EOF
	}	

if [ $USER == "root" ]; then

	DEST=/usr/local/bin

	if [ -d /etc/profile.d ]; then
		cp -v rmw-aliases.sh /etc/profile.d
		
		if [ ! -x /etc/profile.d/rmw-aliases.sh ]; then
			chmod -v 755 /etc/profile.d/rmw-aliases.sh
		fi

	elif [ -e /etc/profile ]; then
		DESTALIASES=/etc/profile
		add_root_aliases

	elif [ -e /etc/bashrc ]; then
		DESTALIASES=/etc/bashrc
		add_root_aliases

	elif [ -e /etc/bash.bashrc ]; then
		DESTALIASES=/etc/bash.bashrc
		add_root_aliases
	else

	echo "Cannot add aliases"
	fi

else


# If user is not root	

	DEST="$HOME"/bin

	if [ -e "$HOME"/.bash_profile ]; then
		DESTALIASES="$HOME"/.bash_profile
		add_user_aliases

	elif [ -e "$HOME"/.bashrc ]; then
		DESTALIASES="$HOME"/.bashrc
		add_user_aliases
	else

		echo "Cannot add aliases"

	fi


fi


if [ ! -d $DEST ]; then
	mkdir -v $DEST
fi

# Do below for any user

cp -v rmw $DEST

if [ ! -x "$DEST"/rmw ]; then
	chmod -v +x "$DEST"/rmw
fi



exit 0
